# swagger_client.AuthAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**auth_login_post**](AuthAPIApi.md#auth_login_post) | **POST** /auth/login | Получить ключ доступа
[**auth_start_get**](AuthAPIApi.md#auth_start_get) | **GET** /auth/start | Получить соль


# **auth_login_post**
> str auth_login_post(login, salt, response)

Получить ключ доступа

Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AuthAPIApi()
login = 'login_example' # str | Имя пользователя
salt = 'salt_example' # str | Соль (см. /auth/start)
response = 'response_example' # str | Вычисленный хэш

try: 
    # Получить ключ доступа
    api_response = api_instance.auth_login_post(login, salt, response)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling AuthAPIApi->auth_login_post: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **str**| Имя пользователя | 
 **salt** | **str**| Соль (см. /auth/start) | 
 **response** | **str**| Вычисленный хэш | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **auth_start_get**
> str auth_start_get(login)

Получить соль

Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AuthAPIApi()
login = 'login_example' # str | Имя пользователя

try: 
    # Получить соль
    api_response = api_instance.auth_start_get(login)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling AuthAPIApi->auth_start_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **str**| Имя пользователя | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

