# swagger_client.DNSApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**dns_add_get**](DNSApi.md#dns_add_get) | **GET** /dns/add | Создание записи домена
[**dns_bind_get**](DNSApi.md#dns_bind_get) | **GET** /dns/bind | Привязка одного домена к другому
[**dns_list_get**](DNSApi.md#dns_list_get) | **GET** /dns/list | Получить список доменных имён
[**dns_prolong_list_get**](DNSApi.md#dns_prolong_list_get) | **GET** /dns/prolong/list | Информация по продлению доменов
[**dns_raw_get**](DNSApi.md#dns_raw_get) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
[**dns_raw_managedmx_get**](DNSApi.md#dns_raw_managedmx_get) | **GET** /dns/raw/managedmx | Редактировать DNS-зону


# **dns_add_get**
> str dns_add_get(token_, add_dns_zone, add_dns_record=add_dns_record, iis_site_for_dns=iis_site_for_dns, bind_only=bind_only)

Создание записи домена

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DNSApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
add_dns_zone = 'add_dns_zone_example' # str | зона, которую необходимо создать
add_dns_record = 'add_dns_record_example' # str |  (optional)
iis_site_for_dns = 'iis_site_for_dns_example' # str | ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
bind_only = true # bool |  (optional)

try: 
    # Создание записи домена
    api_response = api_instance.dns_add_get(token_, add_dns_zone, add_dns_record=add_dns_record, iis_site_for_dns=iis_site_for_dns, bind_only=bind_only)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DNSApi->dns_add_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **add_dns_zone** | **str**| зона, которую необходимо создать | 
 **add_dns_record** | **str**|  | [optional] 
 **iis_site_for_dns** | **str**| ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку | [optional] 
 **bind_only** | **bool**|  | [optional] 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dns_bind_get**
> str dns_bind_get(token_, key_, bind_to=bind_to)

Привязка одного домена к другому

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DNSApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID домена из списка /dns/list
bind_to = 'bind_to_example' # str | домен, к которому необходимо сделать привязку (optional)

try: 
    # Привязка одного домена к другому
    api_response = api_instance.dns_bind_get(token_, key_, bind_to=bind_to)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DNSApi->dns_bind_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID домена из списка /dns/list | 
 **bind_to** | **str**| домен, к которому необходимо сделать привязку | [optional] 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dns_list_get**
> list[InlineResponse2003] dns_list_get(token_)

Получить список доменных имён

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DNSApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Получить список доменных имён
    api_response = api_instance.dns_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DNSApi->dns_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse2003]**](InlineResponse2003.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dns_prolong_list_get**
> list[InlineResponse2004] dns_prolong_list_get(token_)

Информация по продлению доменов

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DNSApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Информация по продлению доменов
    api_response = api_instance.dns_prolong_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DNSApi->dns_prolong_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse2004]**](InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dns_raw_get**
> str dns_raw_get(token_, key_, s_del, s_add, dns_type, dns_name, dns_value)

Редактирование \"сырой\" зоны

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DNSApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID домена из /dns/list
s_del = 56 # int | Значение '1' сообщает, что запись необходимо удалить
s_add = 56 # int | Значение '1' сообщает, что запись необходимо создать
dns_type = 'dns_type_example' # str | Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
dns_name = 'dns_name_example' # str | Имя записи, либо '@' для корневой
dns_value = 'dns_value_example' # str | Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)

try: 
    # Редактирование \"сырой\" зоны
    api_response = api_instance.dns_raw_get(token_, key_, s_del, s_add, dns_type, dns_name, dns_value)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DNSApi->dns_raw_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID домена из /dns/list | 
 **s_del** | **int**| Значение &#39;1&#39; сообщает, что запись необходимо удалить | 
 **s_add** | **int**| Значение &#39;1&#39; сообщает, что запись необходимо создать | 
 **dns_type** | **str**| Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV | 
 **dns_name** | **str**| Имя записи, либо &#39;@&#39; для корневой | 
 **dns_value** | **str**| Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dns_raw_managedmx_get**
> str dns_raw_managedmx_get(token_, key_, managed_mx, upd_managed_mx)

Редактировать DNS-зону

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DNSApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID домена из /dns/list
managed_mx = 56 # int | Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить
upd_managed_mx = 56 # int | Значение '1' подтверждает операцию

try: 
    # Редактировать DNS-зону
    api_response = api_instance.dns_raw_managedmx_get(token_, key_, managed_mx, upd_managed_mx)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DNSApi->dns_raw_managedmx_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID домена из /dns/list | 
 **managed_mx** | **int**| Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить | 
 **upd_managed_mx** | **int**| Значение &#39;1&#39; подтверждает операцию | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

