# swagger_client.DefaultApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**balance_get**](DefaultApi.md#balance_get) | **GET** /balance | Аккаунт: баланс
[**balance_lic_get**](DefaultApi.md#balance_lic_get) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
[**billing_debt_get**](DefaultApi.md#billing_debt_get) | **GET** /billing/debt | Информация по дебету аккаунта
[**billing_info_get**](DefaultApi.md#billing_info_get) | **GET** /billing/info | Информация об аккаунте
[**billing_limits_get**](DefaultApi.md#billing_limits_get) | **GET** /billing/limits | Получить ограничения аккаунта
[**dns_prolong_list_get**](DefaultApi.md#dns_prolong_list_get) | **GET** /dns/prolong/list | Информация по продлению доменов
[**email_add_get**](DefaultApi.md#email_add_get) | **GET** /email/add | Создание почтового ящика
[**email_alias_delete_get**](DefaultApi.md#email_alias_delete_get) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
[**email_alias_list_get**](DefaultApi.md#email_alias_list_get) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
[**email_delete_get**](DefaultApi.md#email_delete_get) | **GET** /email/delete | Удаление почтового ящика
[**email_list_get**](DefaultApi.md#email_list_get) | **GET** /email/list | Получить список почтовых ящиков
[**updates_last_get**](DefaultApi.md#updates_last_get) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
[**updates_list_get**](DefaultApi.md#updates_list_get) | **GET** /updates/list | Список записей аудита
[**website_delete_get**](DefaultApi.md#website_delete_get) | **GET** /website/delete | Удаление сайта
[**website_list_get**](DefaultApi.md#website_list_get) | **GET** /website/list | Список сайтов аккаунта


# **balance_get**
> float balance_get(token_)

Аккаунт: баланс

Возвращает текущий баланс аккаунта

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Аккаунт: баланс
    api_response = api_instance.balance_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->balance_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

**float**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **balance_lic_get**
> float balance_lic_get(token_)

Аккаунт: баланс аккаунта лицензий

Возвращает текущий баланс аккаунта лицензий

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Аккаунт: баланс аккаунта лицензий
    api_response = api_instance.balance_lic_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->balance_lic_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

**float**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **billing_debt_get**
> list[InlineResponse200] billing_debt_get(token_)

Информация по дебету аккаунта

Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Информация по дебету аккаунта
    api_response = api_instance.billing_debt_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->billing_debt_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse200]**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **billing_info_get**
> list[InlineResponse2001] billing_info_get(token_)

Информация об аккаунте

Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Информация об аккаунте
    api_response = api_instance.billing_info_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->billing_info_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse2001]**](InlineResponse2001.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **billing_limits_get**
> _ billing_limits_get(token_)

Получить ограничения аккаунта

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Получить ограничения аккаунта
    api_response = api_instance.billing_limits_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->billing_limits_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**_**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dns_prolong_list_get**
> list[InlineResponse2004] dns_prolong_list_get(token_)

Информация по продлению доменов

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Информация по продлению доменов
    api_response = api_instance.dns_prolong_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->dns_prolong_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse2004]**](InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **email_add_get**
> str email_add_get(token_, add_email)

Создание почтового ящика

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
add_email = 'add_email_example' # str | Адрес почтового ящика, который необходимо создать

try: 
    # Создание почтового ящика
    api_response = api_instance.email_add_get(token_, add_email)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->email_add_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **add_email** | **str**| Адрес почтового ящика, который необходимо создать | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **email_alias_delete_get**
> str email_alias_delete_get(token_, key_)

Удаление псевдонимов почтовых ящиков

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 'key__example' # str | Адрес почтового ящика, подлежащего удалению

try: 
    # Удаление псевдонимов почтовых ящиков
    api_response = api_instance.email_alias_delete_get(token_, key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->email_alias_delete_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **str**| Адрес почтового ящика, подлежащего удалению | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **email_alias_list_get**
> list[InlineResponse2005] email_alias_list_get(token_)

Получить список псевдонимов почтовых ящиков

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Получить список псевдонимов почтовых ящиков
    api_response = api_instance.email_alias_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->email_alias_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse2005]**](InlineResponse2005.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **email_delete_get**
> str email_delete_get(token_, key_)

Удаление почтового ящика

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 'key__example' # str | Адрес почтового ящика, подлежащего удалению

try: 
    # Удаление почтового ящика
    api_response = api_instance.email_delete_get(token_, key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->email_delete_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **str**| Адрес почтового ящика, подлежащего удалению | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **email_list_get**
> list[InlineResponse2006] email_list_get(token_)

Получить список почтовых ящиков

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Получить список почтовых ящиков
    api_response = api_instance.email_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->email_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse2006]**](InlineResponse2006.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **updates_last_get**
> int updates_last_get(token_)

Идентификатор последнего уведомления в аудите

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Идентификатор последнего уведомления в аудите
    api_response = api_instance.updates_last_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->updates_last_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

**int**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **updates_list_get**
> list[InlineResponse20010] updates_list_get(token_, key_)

Список записей аудита

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID первой записи для показа или 0 для показа всех записей

try: 
    # Список записей аудита
    api_response = api_instance.updates_list_get(token_, key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->updates_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID первой записи для показа или 0 для показа всех записей | 

### Return type

[**list[InlineResponse20010]**](InlineResponse20010.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **website_delete_get**
> str website_delete_get(token_, key_)

Удаление сайта

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 'key__example' # str | ID сайта, полученный из /website/list

try: 
    # Удаление сайта
    api_response = api_instance.website_delete_get(token_, key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->website_delete_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **str**| ID сайта, полученный из /website/list | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **website_list_get**
> list[InlineResponse20014] website_list_get(token_)

Список сайтов аккаунта

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Список сайтов аккаунта
    api_response = api_instance.website_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling DefaultApi->website_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse20014]**](InlineResponse20014.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

