# swagger_client.VDSHyperVOpenVZApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**vds_create_get**](VDSHyperVOpenVZApi.md#vds_create_get) | **GET** /vds/create | Изменение параметров VDS
[**vds_delete_get**](VDSHyperVOpenVZApi.md#vds_delete_get) | **GET** /vds/delete | Удаление VDS
[**vds_ip_add_get**](VDSHyperVOpenVZApi.md#vds_ip_add_get) | **GET** /vds/ip/add | Добавление IP на VDS
[**vds_ip_delete_get**](VDSHyperVOpenVZApi.md#vds_ip_delete_get) | **GET** /vds/ip/delete | Удаление IP с VDS
[**vds_ip_list_get**](VDSHyperVOpenVZApi.md#vds_ip_list_get) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
[**vds_list_get**](VDSHyperVOpenVZApi.md#vds_list_get) | **GET** /vds/list | Список виртуальных серверов
[**vds_reboot_get**](VDSHyperVOpenVZApi.md#vds_reboot_get) | **GET** /vds/reboot | Перезагрузка VDS
[**vds_templates_list_get**](VDSHyperVOpenVZApi.md#vds_templates_list_get) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
[**vds_update_get**](VDSHyperVOpenVZApi.md#vds_update_get) | **GET** /vds/update | Создание VDS


# **vds_create_get**
> str vds_create_get(token_, type=type, cr_hvmem=cr_hvmem, cr_hvdsk=cr_hvdsk, cr_hvcpu=cr_hvcpu, template=template, force_memo=force_memo, hv_1gb_panel_version=hv_1gb_panel_version, panel_install=panel_install, cr_ssd1=cr_ssd1, cr_hv_all_system=cr_hv_all_system)

Изменение параметров VDS

Изменение параметров уже существующего VDS

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
type = 'type_example' # str | Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic' (optional)
cr_hvmem = 56 # int | Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
cr_hvdsk = 56 # int | Количество доступных гигабайт диска. По умолчанию 30 (optional)
cr_hvcpu = 56 # int | Количество ядер CPU. По умолчанию 2 (optional)
template = 'template_example' # str | Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
force_memo = 'force_memo_example' # str |  (optional)
hv_1gb_panel_version = 'hv_1gb_panel_version_example' # str |  (optional)
panel_install = true # bool | Необходимо ли установить панель 1Gb на VDS (optional)
cr_ssd1 = true # bool | Создать всю систему на SSD (optional)
cr_hv_all_system = true # bool | Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)

try: 
    # Изменение параметров VDS
    api_response = api_instance.vds_create_get(token_, type=type, cr_hvmem=cr_hvmem, cr_hvdsk=cr_hvdsk, cr_hvcpu=cr_hvcpu, template=template, force_memo=force_memo, hv_1gb_panel_version=hv_1gb_panel_version, panel_install=panel_install, cr_ssd1=cr_ssd1, cr_hv_all_system=cr_hv_all_system)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_create_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **type** | **str**| Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; | [optional] 
 **cr_hvmem** | **int**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional] 
 **cr_hvdsk** | **int**| Количество доступных гигабайт диска. По умолчанию 30 | [optional] 
 **cr_hvcpu** | **int**| Количество ядер CPU. По умолчанию 2 | [optional] 
 **template** | **str**| Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list | [optional] 
 **force_memo** | **str**|  | [optional] 
 **hv_1gb_panel_version** | **str**|  | [optional] 
 **panel_install** | **bool**| Необходимо ли установить панель 1Gb на VDS | [optional] 
 **cr_ssd1** | **bool**| Создать всю систему на SSD | [optional] 
 **cr_hv_all_system** | **bool**| Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) | [optional] 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_delete_get**
> str vds_delete_get(token_, key_, force_critical=force_critical)

Удаление VDS

Предоставляет функционал для удаления VDS

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера, полученный из /vds/list
force_critical = true # bool | Если true, VDS будет удален срочно (optional)

try: 
    # Удаление VDS
    api_response = api_instance.vds_delete_get(token_, key_, force_critical=force_critical)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_delete_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера, полученный из /vds/list | 
 **force_critical** | **bool**| Если true, VDS будет удален срочно | [optional] 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_ip_add_get**
> str vds_ip_add_get(token_, key_)

Добавление IP на VDS

Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера, полученный из /vds/list

try: 
    # Добавление IP на VDS
    api_response = api_instance.vds_ip_add_get(token_, key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_ip_add_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера, полученный из /vds/list | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_ip_delete_get**
> str vds_ip_delete_get(token_, key_, del_ip)

Удаление IP с VDS

Этот вызов позволяет отвязать IP адрес от VDS

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера, полученный из /vds/list
del_ip = 'del_ip_example' # str | IP адрес, который необходимо удалить

try: 
    # Удаление IP с VDS
    api_response = api_instance.vds_ip_delete_get(token_, key_, del_ip)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_ip_delete_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера, полученный из /vds/list | 
 **del_ip** | **str**| IP адрес, который необходимо удалить | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_ip_list_get**
> list[InlineResponse20011] vds_ip_list_get(token_, key_=key_)

Список IP-адресов виртуальных серверов

Список IP-адресов виртуальных серверов

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера, полученный из /vds/list (optional)

try: 
    # Список IP-адресов виртуальных серверов
    api_response = api_instance.vds_ip_list_get(token_, key_=key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_ip_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера, полученный из /vds/list | [optional] 

### Return type

[**list[InlineResponse20011]**](InlineResponse20011.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_list_get**
> list[InlineResponse20012] vds_list_get(token_, key_=key_)

Список виртуальных серверов

Позволяет получить список виртуальных серверов

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)

try: 
    # Список виртуальных серверов
    api_response = api_instance.vds_list_get(token_, key_=key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS | [optional] 

### Return type

[**list[InlineResponse20012]**](InlineResponse20012.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_reboot_get**
> str vds_reboot_get(token_, key_)

Перезагрузка VDS

Предоставляет функционал для перезагрузки VDS

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера, полученный из /vds/list

try: 
    # Перезагрузка VDS
    api_response = api_instance.vds_reboot_get(token_, key_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_reboot_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера, полученный из /vds/list | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_templates_list_get**
> list[InlineResponse20013] vds_templates_list_get(token_)

Список шаблонов виртуальных серверов

Позволяет получить список шаблонов виртуальных серверов

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации

try: 
    # Список шаблонов виртуальных серверов
    api_response = api_instance.vds_templates_list_get(token_)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_templates_list_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 

### Return type

[**list[InlineResponse20013]**](InlineResponse20013.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vds_update_get**
> str vds_update_get(token_, key_, cr_hvmem=cr_hvmem, cr_hvdsk=cr_hvdsk, cr_hvcpu=cr_hvcpu)

Создание VDS

Создание новых VDS с произвольными характеристиками

### Example 
```python
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.VDSHyperVOpenVZApi()
token_ = 'token__example' # str | Ключ доступа, полученный при авторизации
key_ = 56 # int | ID виртуального сервера, полученный из /vds/list
cr_hvmem = 56 # int | Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
cr_hvdsk = 56 # int | Количество доступных гигабайт диска. По умолчанию 30 (optional)
cr_hvcpu = 56 # int | Количество ядер CPU. По умолчанию 2 (optional)

try: 
    # Создание VDS
    api_response = api_instance.vds_update_get(token_, key_, cr_hvmem=cr_hvmem, cr_hvdsk=cr_hvdsk, cr_hvcpu=cr_hvcpu)
    pprint(api_response)
except ApiException as e:
    print "Exception when calling VDSHyperVOpenVZApi->vds_update_get: %s\n" % e
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **str**| Ключ доступа, полученный при авторизации | 
 **key_** | **int**| ID виртуального сервера, полученный из /vds/list | 
 **cr_hvmem** | **int**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional] 
 **cr_hvdsk** | **int**| Количество доступных гигабайт диска. По умолчанию 30 | [optional] 
 **cr_hvcpu** | **int**| Количество ядер CPU. По умолчанию 2 | [optional] 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

