# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class DefaultApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def balance_get(self, token_, **kwargs):
        """
        Аккаунт: баланс
        Возвращает текущий баланс аккаунта

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.balance_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: float
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.balance_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.balance_get_with_http_info(token_, **kwargs)
            return data

    def balance_get_with_http_info(self, token_, **kwargs):
        """
        Аккаунт: баланс
        Возвращает текущий баланс аккаунта

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.balance_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: float
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method balance_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `balance_get`")

        resource_path = '/balance'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='float',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def balance_lic_get(self, token_, **kwargs):
        """
        Аккаунт: баланс аккаунта лицензий
        Возвращает текущий баланс аккаунта лицензий

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.balance_lic_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: float
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.balance_lic_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.balance_lic_get_with_http_info(token_, **kwargs)
            return data

    def balance_lic_get_with_http_info(self, token_, **kwargs):
        """
        Аккаунт: баланс аккаунта лицензий
        Возвращает текущий баланс аккаунта лицензий

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.balance_lic_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: float
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method balance_lic_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `balance_lic_get`")

        resource_path = '/balance.lic'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='float',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def billing_debt_get(self, token_, **kwargs):
        """
        Информация по дебету аккаунта
        Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.billing_debt_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse200]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.billing_debt_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.billing_debt_get_with_http_info(token_, **kwargs)
            return data

    def billing_debt_get_with_http_info(self, token_, **kwargs):
        """
        Информация по дебету аккаунта
        Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.billing_debt_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse200]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method billing_debt_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `billing_debt_get`")

        resource_path = '/billing/debt'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse200]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def billing_info_get(self, token_, **kwargs):
        """
        Информация об аккаунте
        Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.billing_info_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2001]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.billing_info_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.billing_info_get_with_http_info(token_, **kwargs)
            return data

    def billing_info_get_with_http_info(self, token_, **kwargs):
        """
        Информация об аккаунте
        Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.billing_info_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2001]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method billing_info_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `billing_info_get`")

        resource_path = '/billing/info'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse2001]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def billing_limits_get(self, token_, **kwargs):
        """
        Получить ограничения аккаунта
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.billing_limits_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: _
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.billing_limits_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.billing_limits_get_with_http_info(token_, **kwargs)
            return data

    def billing_limits_get_with_http_info(self, token_, **kwargs):
        """
        Получить ограничения аккаунта
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.billing_limits_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: _
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method billing_limits_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `billing_limits_get`")

        resource_path = '/billing/limits'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='_',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def dns_prolong_list_get(self, token_, **kwargs):
        """
        Информация по продлению доменов
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_prolong_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2004]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_prolong_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.dns_prolong_list_get_with_http_info(token_, **kwargs)
            return data

    def dns_prolong_list_get_with_http_info(self, token_, **kwargs):
        """
        Информация по продлению доменов
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_prolong_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2004]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_prolong_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_prolong_list_get`")

        resource_path = '/dns/prolong/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse2004]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def email_add_get(self, token_, add_email, **kwargs):
        """
        Создание почтового ящика
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_add_get(token_, add_email, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str add_email: Адрес почтового ящика, который необходимо создать (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.email_add_get_with_http_info(token_, add_email, **kwargs)
        else:
            (data) = self.email_add_get_with_http_info(token_, add_email, **kwargs)
            return data

    def email_add_get_with_http_info(self, token_, add_email, **kwargs):
        """
        Создание почтового ящика
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_add_get_with_http_info(token_, add_email, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str add_email: Адрес почтового ящика, который необходимо создать (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'add_email']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method email_add_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `email_add_get`")
        # verify the required parameter 'add_email' is set
        if ('add_email' not in params) or (params['add_email'] is None):
            raise ValueError("Missing the required parameter `add_email` when calling `email_add_get`")

        resource_path = '/email/add'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'add_email' in params:
            query_params['add_email'] = params['add_email']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def email_alias_delete_get(self, token_, key_, **kwargs):
        """
        Удаление псевдонимов почтовых ящиков
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_alias_delete_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str key_: Адрес почтового ящика, подлежащего удалению (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.email_alias_delete_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.email_alias_delete_get_with_http_info(token_, key_, **kwargs)
            return data

    def email_alias_delete_get_with_http_info(self, token_, key_, **kwargs):
        """
        Удаление псевдонимов почтовых ящиков
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_alias_delete_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str key_: Адрес почтового ящика, подлежащего удалению (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method email_alias_delete_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `email_alias_delete_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `email_alias_delete_get`")

        resource_path = '/email/alias/delete'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def email_alias_list_get(self, token_, **kwargs):
        """
        Получить список псевдонимов почтовых ящиков
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_alias_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2005]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.email_alias_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.email_alias_list_get_with_http_info(token_, **kwargs)
            return data

    def email_alias_list_get_with_http_info(self, token_, **kwargs):
        """
        Получить список псевдонимов почтовых ящиков
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_alias_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2005]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method email_alias_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `email_alias_list_get`")

        resource_path = '/email/alias/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse2005]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def email_delete_get(self, token_, key_, **kwargs):
        """
        Удаление почтового ящика
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_delete_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str key_: Адрес почтового ящика, подлежащего удалению (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.email_delete_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.email_delete_get_with_http_info(token_, key_, **kwargs)
            return data

    def email_delete_get_with_http_info(self, token_, key_, **kwargs):
        """
        Удаление почтового ящика
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_delete_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str key_: Адрес почтового ящика, подлежащего удалению (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method email_delete_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `email_delete_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `email_delete_get`")

        resource_path = '/email/delete'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def email_list_get(self, token_, **kwargs):
        """
        Получить список почтовых ящиков
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2006]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.email_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.email_list_get_with_http_info(token_, **kwargs)
            return data

    def email_list_get_with_http_info(self, token_, **kwargs):
        """
        Получить список почтовых ящиков
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.email_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2006]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method email_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `email_list_get`")

        resource_path = '/email/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse2006]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def updates_last_get(self, token_, **kwargs):
        """
        Идентификатор последнего уведомления в аудите
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.updates_last_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: int
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.updates_last_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.updates_last_get_with_http_info(token_, **kwargs)
            return data

    def updates_last_get_with_http_info(self, token_, **kwargs):
        """
        Идентификатор последнего уведомления в аудите
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.updates_last_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: int
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method updates_last_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `updates_last_get`")

        resource_path = '/updates/last'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='int',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def updates_list_get(self, token_, key_, **kwargs):
        """
        Список записей аудита
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.updates_list_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID первой записи для показа или 0 для показа всех записей (required)
        :return: list[InlineResponse20010]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.updates_list_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.updates_list_get_with_http_info(token_, key_, **kwargs)
            return data

    def updates_list_get_with_http_info(self, token_, key_, **kwargs):
        """
        Список записей аудита
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.updates_list_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID первой записи для показа или 0 для показа всех записей (required)
        :return: list[InlineResponse20010]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method updates_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `updates_list_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `updates_list_get`")

        resource_path = '/updates/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse20010]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def website_delete_get(self, token_, key_, **kwargs):
        """
        Удаление сайта
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.website_delete_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str key_: ID сайта, полученный из /website/list (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.website_delete_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.website_delete_get_with_http_info(token_, key_, **kwargs)
            return data

    def website_delete_get_with_http_info(self, token_, key_, **kwargs):
        """
        Удаление сайта
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.website_delete_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str key_: ID сайта, полученный из /website/list (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method website_delete_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `website_delete_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `website_delete_get`")

        resource_path = '/website/delete'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def website_list_get(self, token_, **kwargs):
        """
        Список сайтов аккаунта
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.website_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse20014]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.website_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.website_list_get_with_http_info(token_, **kwargs)
            return data

    def website_list_get_with_http_info(self, token_, **kwargs):
        """
        Список сайтов аккаунта
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.website_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse20014]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method website_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `website_list_get`")

        resource_path = '/website/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse20014]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))
