# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class DNSApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def dns_add_get(self, token_, add_dns_zone, **kwargs):
        """
        Создание записи домена
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_add_get(token_, add_dns_zone, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str add_dns_zone: зона, которую необходимо создать (required)
        :param str add_dns_record: 
        :param str iis_site_for_dns: ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
        :param bool bind_only: 
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_add_get_with_http_info(token_, add_dns_zone, **kwargs)
        else:
            (data) = self.dns_add_get_with_http_info(token_, add_dns_zone, **kwargs)
            return data

    def dns_add_get_with_http_info(self, token_, add_dns_zone, **kwargs):
        """
        Создание записи домена
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_add_get_with_http_info(token_, add_dns_zone, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str add_dns_zone: зона, которую необходимо создать (required)
        :param str add_dns_record: 
        :param str iis_site_for_dns: ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
        :param bool bind_only: 
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'add_dns_zone', 'add_dns_record', 'iis_site_for_dns', 'bind_only']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_add_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_add_get`")
        # verify the required parameter 'add_dns_zone' is set
        if ('add_dns_zone' not in params) or (params['add_dns_zone'] is None):
            raise ValueError("Missing the required parameter `add_dns_zone` when calling `dns_add_get`")

        resource_path = '/dns/add'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'add_dns_zone' in params:
            query_params['add_dns_zone'] = params['add_dns_zone']
        if 'add_dns_record' in params:
            query_params['add_dns_record'] = params['add_dns_record']
        if 'iis_site_for_dns' in params:
            query_params['iis_site_for_dns'] = params['iis_site_for_dns']
        if 'bind_only' in params:
            query_params['bind_only'] = params['bind_only']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def dns_bind_get(self, token_, key_, **kwargs):
        """
        Привязка одного домена к другому
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_bind_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID домена из списка /dns/list (required)
        :param str bind_to: домен, к которому необходимо сделать привязку
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_bind_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.dns_bind_get_with_http_info(token_, key_, **kwargs)
            return data

    def dns_bind_get_with_http_info(self, token_, key_, **kwargs):
        """
        Привязка одного домена к другому
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_bind_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID домена из списка /dns/list (required)
        :param str bind_to: домен, к которому необходимо сделать привязку
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_', 'bind_to']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_bind_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_bind_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `dns_bind_get`")

        resource_path = '/dns/bind'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']
        if 'bind_to' in params:
            query_params['bind_to'] = params['bind_to']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def dns_list_get(self, token_, **kwargs):
        """
        Получить список доменных имён
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2003]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.dns_list_get_with_http_info(token_, **kwargs)
            return data

    def dns_list_get_with_http_info(self, token_, **kwargs):
        """
        Получить список доменных имён
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2003]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_list_get`")

        resource_path = '/dns/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse2003]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def dns_prolong_list_get(self, token_, **kwargs):
        """
        Информация по продлению доменов
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_prolong_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2004]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_prolong_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.dns_prolong_list_get_with_http_info(token_, **kwargs)
            return data

    def dns_prolong_list_get_with_http_info(self, token_, **kwargs):
        """
        Информация по продлению доменов
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_prolong_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse2004]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_prolong_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_prolong_list_get`")

        resource_path = '/dns/prolong/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse2004]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def dns_raw_get(self, token_, key_, s_del, s_add, dns_type, dns_name, dns_value, **kwargs):
        """
        Редактирование \"сырой\" зоны
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_raw_get(token_, key_, s_del, s_add, dns_type, dns_name, dns_value, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID домена из /dns/list (required)
        :param int s_del: Значение '1' сообщает, что запись необходимо удалить (required)
        :param int s_add: Значение '1' сообщает, что запись необходимо создать (required)
        :param str dns_type: Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
        :param str dns_name: Имя записи, либо '@' для корневой (required)
        :param str dns_value: Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_raw_get_with_http_info(token_, key_, s_del, s_add, dns_type, dns_name, dns_value, **kwargs)
        else:
            (data) = self.dns_raw_get_with_http_info(token_, key_, s_del, s_add, dns_type, dns_name, dns_value, **kwargs)
            return data

    def dns_raw_get_with_http_info(self, token_, key_, s_del, s_add, dns_type, dns_name, dns_value, **kwargs):
        """
        Редактирование \"сырой\" зоны
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_raw_get_with_http_info(token_, key_, s_del, s_add, dns_type, dns_name, dns_value, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID домена из /dns/list (required)
        :param int s_del: Значение '1' сообщает, что запись необходимо удалить (required)
        :param int s_add: Значение '1' сообщает, что запись необходимо создать (required)
        :param str dns_type: Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
        :param str dns_name: Имя записи, либо '@' для корневой (required)
        :param str dns_value: Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_', 's_del', 's_add', 'dns_type', 'dns_name', 'dns_value']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_raw_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_raw_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `dns_raw_get`")
        # verify the required parameter 's_del' is set
        if ('s_del' not in params) or (params['s_del'] is None):
            raise ValueError("Missing the required parameter `s_del` when calling `dns_raw_get`")
        # verify the required parameter 's_add' is set
        if ('s_add' not in params) or (params['s_add'] is None):
            raise ValueError("Missing the required parameter `s_add` when calling `dns_raw_get`")
        # verify the required parameter 'dns_type' is set
        if ('dns_type' not in params) or (params['dns_type'] is None):
            raise ValueError("Missing the required parameter `dns_type` when calling `dns_raw_get`")
        # verify the required parameter 'dns_name' is set
        if ('dns_name' not in params) or (params['dns_name'] is None):
            raise ValueError("Missing the required parameter `dns_name` when calling `dns_raw_get`")
        # verify the required parameter 'dns_value' is set
        if ('dns_value' not in params) or (params['dns_value'] is None):
            raise ValueError("Missing the required parameter `dns_value` when calling `dns_raw_get`")

        resource_path = '/dns/raw'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']
        if 's_del' in params:
            query_params['s_del'] = params['s_del']
        if 's_add' in params:
            query_params['s_add'] = params['s_add']
        if 'dns_type' in params:
            query_params['dns_type'] = params['dns_type']
        if 'dns_name' in params:
            query_params['dns_name'] = params['dns_name']
        if 'dns_value' in params:
            query_params['dns_value'] = params['dns_value']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def dns_raw_managedmx_get(self, token_, key_, managed_mx, upd_managed_mx, **kwargs):
        """
        Редактировать DNS-зону
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_raw_managedmx_get(token_, key_, managed_mx, upd_managed_mx, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID домена из /dns/list (required)
        :param int managed_mx: Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить (required)
        :param int upd_managed_mx: Значение '1' подтверждает операцию (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.dns_raw_managedmx_get_with_http_info(token_, key_, managed_mx, upd_managed_mx, **kwargs)
        else:
            (data) = self.dns_raw_managedmx_get_with_http_info(token_, key_, managed_mx, upd_managed_mx, **kwargs)
            return data

    def dns_raw_managedmx_get_with_http_info(self, token_, key_, managed_mx, upd_managed_mx, **kwargs):
        """
        Редактировать DNS-зону
        

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.dns_raw_managedmx_get_with_http_info(token_, key_, managed_mx, upd_managed_mx, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID домена из /dns/list (required)
        :param int managed_mx: Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить (required)
        :param int upd_managed_mx: Значение '1' подтверждает операцию (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_', 'managed_mx', 'upd_managed_mx']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dns_raw_managedmx_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `dns_raw_managedmx_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `dns_raw_managedmx_get`")
        # verify the required parameter 'managed_mx' is set
        if ('managed_mx' not in params) or (params['managed_mx'] is None):
            raise ValueError("Missing the required parameter `managed_mx` when calling `dns_raw_managedmx_get`")
        # verify the required parameter 'upd_managed_mx' is set
        if ('upd_managed_mx' not in params) or (params['upd_managed_mx'] is None):
            raise ValueError("Missing the required parameter `upd_managed_mx` when calling `dns_raw_managedmx_get`")

        resource_path = '/dns/raw/managedmx'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']
        if 'managed_mx' in params:
            query_params['managed_mx'] = params['managed_mx']
        if 'upd_managed_mx' in params:
            query_params['upd_managed_mx'] = params['upd_managed_mx']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))
