# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class VDSHyperVOpenVZApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def vds_create_get(self, token_, **kwargs):
        """
        Изменение параметров VDS
        Изменение параметров уже существующего VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_create_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str type: Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic'
        :param int cr_hvmem: Количество доступной памяти в мегабайтах. По умолчанию 2048
        :param int cr_hvdsk: Количество доступных гигабайт диска. По умолчанию 30
        :param int cr_hvcpu: Количество ядер CPU. По умолчанию 2
        :param str template: Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
        :param str force_memo: 
        :param str hv_1gb_panel_version: 
        :param bool panel_install: Необходимо ли установить панель 1Gb на VDS
        :param bool cr_ssd1: Создать всю систему на SSD
        :param bool cr_hv_all_system: Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_create_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.vds_create_get_with_http_info(token_, **kwargs)
            return data

    def vds_create_get_with_http_info(self, token_, **kwargs):
        """
        Изменение параметров VDS
        Изменение параметров уже существующего VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_create_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param str type: Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic'
        :param int cr_hvmem: Количество доступной памяти в мегабайтах. По умолчанию 2048
        :param int cr_hvdsk: Количество доступных гигабайт диска. По умолчанию 30
        :param int cr_hvcpu: Количество ядер CPU. По умолчанию 2
        :param str template: Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
        :param str force_memo: 
        :param str hv_1gb_panel_version: 
        :param bool panel_install: Необходимо ли установить панель 1Gb на VDS
        :param bool cr_ssd1: Создать всю систему на SSD
        :param bool cr_hv_all_system: Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'type', 'cr_hvmem', 'cr_hvdsk', 'cr_hvcpu', 'template', 'force_memo', 'hv_1gb_panel_version', 'panel_install', 'cr_ssd1', 'cr_hv_all_system']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_create_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_create_get`")

        resource_path = '/vds/create'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'type' in params:
            query_params['type'] = params['type']
        if 'cr_hvmem' in params:
            query_params['cr_hvmem'] = params['cr_hvmem']
        if 'cr_hvdsk' in params:
            query_params['cr_hvdsk'] = params['cr_hvdsk']
        if 'cr_hvcpu' in params:
            query_params['cr_hvcpu'] = params['cr_hvcpu']
        if 'template' in params:
            query_params['template'] = params['template']
        if 'force_memo' in params:
            query_params['force_memo'] = params['force_memo']
        if 'hv_1gb_panel_version' in params:
            query_params['hv_1gb_panel_version'] = params['hv_1gb_panel_version']
        if 'panel_install' in params:
            query_params['panel_install'] = params['panel_install']
        if 'cr_ssd1' in params:
            query_params['cr_ssd1'] = params['cr_ssd1']
        if 'cr_hv_all_system' in params:
            query_params['cr_hv_all_system'] = params['cr_hv_all_system']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_delete_get(self, token_, key_, **kwargs):
        """
        Удаление VDS
        Предоставляет функционал для удаления VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_delete_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :param bool force_critical: Если true, VDS будет удален срочно
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_delete_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.vds_delete_get_with_http_info(token_, key_, **kwargs)
            return data

    def vds_delete_get_with_http_info(self, token_, key_, **kwargs):
        """
        Удаление VDS
        Предоставляет функционал для удаления VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_delete_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :param bool force_critical: Если true, VDS будет удален срочно
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_', 'force_critical']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_delete_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_delete_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `vds_delete_get`")

        resource_path = '/vds/delete'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']
        if 'force_critical' in params:
            query_params['force_critical'] = params['force_critical']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_ip_add_get(self, token_, key_, **kwargs):
        """
        Добавление IP на VDS
        Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_ip_add_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_ip_add_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.vds_ip_add_get_with_http_info(token_, key_, **kwargs)
            return data

    def vds_ip_add_get_with_http_info(self, token_, key_, **kwargs):
        """
        Добавление IP на VDS
        Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_ip_add_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_ip_add_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_ip_add_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `vds_ip_add_get`")

        resource_path = '/vds/ip/add'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_ip_delete_get(self, token_, key_, del_ip, **kwargs):
        """
        Удаление IP с VDS
        Этот вызов позволяет отвязать IP адрес от VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_ip_delete_get(token_, key_, del_ip, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :param str del_ip: IP адрес, который необходимо удалить (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_ip_delete_get_with_http_info(token_, key_, del_ip, **kwargs)
        else:
            (data) = self.vds_ip_delete_get_with_http_info(token_, key_, del_ip, **kwargs)
            return data

    def vds_ip_delete_get_with_http_info(self, token_, key_, del_ip, **kwargs):
        """
        Удаление IP с VDS
        Этот вызов позволяет отвязать IP адрес от VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_ip_delete_get_with_http_info(token_, key_, del_ip, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :param str del_ip: IP адрес, который необходимо удалить (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_', 'del_ip']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_ip_delete_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_ip_delete_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `vds_ip_delete_get`")
        # verify the required parameter 'del_ip' is set
        if ('del_ip' not in params) or (params['del_ip'] is None):
            raise ValueError("Missing the required parameter `del_ip` when calling `vds_ip_delete_get`")

        resource_path = '/vds/ip/delete'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']
        if 'del_ip' in params:
            query_params['del_ip'] = params['del_ip']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_ip_list_get(self, token_, **kwargs):
        """
        Список IP-адресов виртуальных серверов
        Список IP-адресов виртуальных серверов

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_ip_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list
        :return: list[InlineResponse20011]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_ip_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.vds_ip_list_get_with_http_info(token_, **kwargs)
            return data

    def vds_ip_list_get_with_http_info(self, token_, **kwargs):
        """
        Список IP-адресов виртуальных серверов
        Список IP-адресов виртуальных серверов

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_ip_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list
        :return: list[InlineResponse20011]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_ip_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_ip_list_get`")

        resource_path = '/vds/ip/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse20011]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_list_get(self, token_, **kwargs):
        """
        Список виртуальных серверов
        Позволяет получить список виртуальных серверов

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
        :return: list[InlineResponse20012]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.vds_list_get_with_http_info(token_, **kwargs)
            return data

    def vds_list_get_with_http_info(self, token_, **kwargs):
        """
        Список виртуальных серверов
        Позволяет получить список виртуальных серверов

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS
        :return: list[InlineResponse20012]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_list_get`")

        resource_path = '/vds/list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse20012]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_reboot_get(self, token_, key_, **kwargs):
        """
        Перезагрузка VDS
        Предоставляет функционал для перезагрузки VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_reboot_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_reboot_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.vds_reboot_get_with_http_info(token_, key_, **kwargs)
            return data

    def vds_reboot_get_with_http_info(self, token_, key_, **kwargs):
        """
        Перезагрузка VDS
        Предоставляет функционал для перезагрузки VDS

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_reboot_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_reboot_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_reboot_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `vds_reboot_get`")

        resource_path = '/vds/reboot'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_templates_list_get(self, token_, **kwargs):
        """
        Список шаблонов виртуальных серверов
        Позволяет получить список шаблонов виртуальных серверов

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_templates_list_get(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse20013]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_templates_list_get_with_http_info(token_, **kwargs)
        else:
            (data) = self.vds_templates_list_get_with_http_info(token_, **kwargs)
            return data

    def vds_templates_list_get_with_http_info(self, token_, **kwargs):
        """
        Список шаблонов виртуальных серверов
        Позволяет получить список шаблонов виртуальных серверов

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_templates_list_get_with_http_info(token_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :return: list[InlineResponse20013]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_templates_list_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_templates_list_get`")

        resource_path = '/vds/templates-list'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='list[InlineResponse20013]',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))

    def vds_update_get(self, token_, key_, **kwargs):
        """
        Создание VDS
        Создание новых VDS с произвольными характеристиками

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_update_get(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :param int cr_hvmem: Количество доступной памяти в мегабайтах. По умолчанию 2048
        :param int cr_hvdsk: Количество доступных гигабайт диска. По умолчанию 30
        :param int cr_hvcpu: Количество ядер CPU. По умолчанию 2
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.vds_update_get_with_http_info(token_, key_, **kwargs)
        else:
            (data) = self.vds_update_get_with_http_info(token_, key_, **kwargs)
            return data

    def vds_update_get_with_http_info(self, token_, key_, **kwargs):
        """
        Создание VDS
        Создание новых VDS с произвольными характеристиками

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.vds_update_get_with_http_info(token_, key_, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str token_: Ключ доступа, полученный при авторизации (required)
        :param int key_: ID виртуального сервера, полученный из /vds/list (required)
        :param int cr_hvmem: Количество доступной памяти в мегабайтах. По умолчанию 2048
        :param int cr_hvdsk: Количество доступных гигабайт диска. По умолчанию 30
        :param int cr_hvcpu: Количество ядер CPU. По умолчанию 2
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['token_', 'key_', 'cr_hvmem', 'cr_hvdsk', 'cr_hvcpu']
        all_params.append('callback')
        all_params.append('_return_http_data_only')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method vds_update_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'token_' is set
        if ('token_' not in params) or (params['token_'] is None):
            raise ValueError("Missing the required parameter `token_` when calling `vds_update_get`")
        # verify the required parameter 'key_' is set
        if ('key_' not in params) or (params['key_'] is None):
            raise ValueError("Missing the required parameter `key_` when calling `vds_update_get`")

        resource_path = '/vds/update'.replace('{format}', 'json')
        path_params = {}

        query_params = {}
        if 'token_' in params:
            query_params['_token_'] = params['token_']
        if 'key_' in params:
            query_params['_key_'] = params['key_']
        if 'cr_hvmem' in params:
            query_params['cr_hvmem'] = params['cr_hvmem']
        if 'cr_hvdsk' in params:
            query_params['cr_hvdsk'] = params['cr_hvdsk']
        if 'cr_hvcpu' in params:
            query_params['cr_hvcpu'] = params['cr_hvcpu']

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None

        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])
        if not header_params['Accept']:
            del header_params['Accept']

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api(resource_path, 'GET',
                                            path_params,
                                            query_params,
                                            header_params,
                                            body=body_params,
                                            post_params=form_params,
                                            files=local_var_files,
                                            response_type='str',
                                            auth_settings=auth_settings,
                                            callback=params.get('callback'),
                                            _return_http_data_only=params.get('_return_http_data_only'))
