# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class _(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, mail=None, website=None, mysql=None, size=None, mssql=None, dynamic_content=None, php_exec=None, ftp2=None):
        """
        _ - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'mail': 'str',
            'website': 'str',
            'mysql': 'bool',
            'size': 'str',
            'mssql': 'bool',
            'dynamic_content': 'bool',
            'php_exec': 'bool',
            'ftp2': 'str'
        }

        self.attribute_map = {
            'mail': 'mail',
            'website': 'website',
            'mysql': 'mysql',
            'size': 'size',
            'mssql': 'mssql',
            'dynamic_content': 'dynamic_content',
            'php_exec': 'php_exec',
            'ftp2': 'ftp2'
        }

        self._mail = mail
        self._website = website
        self._mysql = mysql
        self._size = size
        self._mssql = mssql
        self._dynamic_content = dynamic_content
        self._php_exec = php_exec
        self._ftp2 = ftp2

    @property
    def mail(self):
        """
        Gets the mail of this _.
        Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.

        :return: The mail of this _.
        :rtype: str
        """
        return self._mail

    @mail.setter
    def mail(self, mail):
        """
        Sets the mail of this _.
        Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.

        :param mail: The mail of this _.
        :type: str
        """

        self._mail = mail

    @property
    def website(self):
        """
        Gets the website of this _.
        Ограничение на количество сайтов. '-' означает отсутствие лимита.

        :return: The website of this _.
        :rtype: str
        """
        return self._website

    @website.setter
    def website(self, website):
        """
        Sets the website of this _.
        Ограничение на количество сайтов. '-' означает отсутствие лимита.

        :param website: The website of this _.
        :type: str
        """

        self._website = website

    @property
    def mysql(self):
        """
        Gets the mysql of this _.
        MySQL разрешен, если true.

        :return: The mysql of this _.
        :rtype: bool
        """
        return self._mysql

    @mysql.setter
    def mysql(self, mysql):
        """
        Sets the mysql of this _.
        MySQL разрешен, если true.

        :param mysql: The mysql of this _.
        :type: bool
        """

        self._mysql = mysql

    @property
    def size(self):
        """
        Gets the size of this _.
        Ограничение на размер дискового пространства. '-' означает отсутствие лимита.

        :return: The size of this _.
        :rtype: str
        """
        return self._size

    @size.setter
    def size(self, size):
        """
        Sets the size of this _.
        Ограничение на размер дискового пространства. '-' означает отсутствие лимита.

        :param size: The size of this _.
        :type: str
        """

        self._size = size

    @property
    def mssql(self):
        """
        Gets the mssql of this _.
        MSSQL разрешен, если true.

        :return: The mssql of this _.
        :rtype: bool
        """
        return self._mssql

    @mssql.setter
    def mssql(self, mssql):
        """
        Sets the mssql of this _.
        MSSQL разрешен, если true.

        :param mssql: The mssql of this _.
        :type: bool
        """

        self._mssql = mssql

    @property
    def dynamic_content(self):
        """
        Gets the dynamic_content of this _.
        CGI и PHP скрипты разрешены, если true.

        :return: The dynamic_content of this _.
        :rtype: bool
        """
        return self._dynamic_content

    @dynamic_content.setter
    def dynamic_content(self, dynamic_content):
        """
        Sets the dynamic_content of this _.
        CGI и PHP скрипты разрешены, если true.

        :param dynamic_content: The dynamic_content of this _.
        :type: bool
        """

        self._dynamic_content = dynamic_content

    @property
    def php_exec(self):
        """
        Gets the php_exec of this _.
        Функция exec() в PHP разрешена, если true.

        :return: The php_exec of this _.
        :rtype: bool
        """
        return self._php_exec

    @php_exec.setter
    def php_exec(self, php_exec):
        """
        Sets the php_exec of this _.
        Функция exec() в PHP разрешена, если true.

        :param php_exec: The php_exec of this _.
        :type: bool
        """

        self._php_exec = php_exec

    @property
    def ftp2(self):
        """
        Gets the ftp2 of this _.
        Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.

        :return: The ftp2 of this _.
        :rtype: str
        """
        return self._ftp2

    @ftp2.setter
    def ftp2(self, ftp2):
        """
        Sets the ftp2 of this _.
        Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.

        :param ftp2: The ftp2 of this _.
        :type: str
        """

        self._ftp2 = ftp2

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
