# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse200(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, negative_balance_days=None, negative_balance_days_lic=None, last_month_debt_sum=None, last_month_debt_sum2=None, block_date=None):
        """
        InlineResponse200 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'negative_balance_days': 'int',
            'negative_balance_days_lic': 'int',
            'last_month_debt_sum': 'float',
            'last_month_debt_sum2': 'float',
            'block_date': 'str'
        }

        self.attribute_map = {
            'negative_balance_days': 'negative_balance_days',
            'negative_balance_days_lic': 'negative_balance_days_lic',
            'last_month_debt_sum': 'last_month_debt_sum',
            'last_month_debt_sum2': 'last_month_debt_sum2',
            'block_date': 'block_date'
        }

        self._negative_balance_days = negative_balance_days
        self._negative_balance_days_lic = negative_balance_days_lic
        self._last_month_debt_sum = last_month_debt_sum
        self._last_month_debt_sum2 = last_month_debt_sum2
        self._block_date = block_date

    @property
    def negative_balance_days(self):
        """
        Gets the negative_balance_days of this InlineResponse200.
        Планируемое количество дней до наступления негативного баланса

        :return: The negative_balance_days of this InlineResponse200.
        :rtype: int
        """
        return self._negative_balance_days

    @negative_balance_days.setter
    def negative_balance_days(self, negative_balance_days):
        """
        Sets the negative_balance_days of this InlineResponse200.
        Планируемое количество дней до наступления негативного баланса

        :param negative_balance_days: The negative_balance_days of this InlineResponse200.
        :type: int
        """

        self._negative_balance_days = negative_balance_days

    @property
    def negative_balance_days_lic(self):
        """
        Gets the negative_balance_days_lic of this InlineResponse200.
        Планируемое количество дней до наступления негативного баланса по аккаунту лицензий

        :return: The negative_balance_days_lic of this InlineResponse200.
        :rtype: int
        """
        return self._negative_balance_days_lic

    @negative_balance_days_lic.setter
    def negative_balance_days_lic(self, negative_balance_days_lic):
        """
        Sets the negative_balance_days_lic of this InlineResponse200.
        Планируемое количество дней до наступления негативного баланса по аккаунту лицензий

        :param negative_balance_days_lic: The negative_balance_days_lic of this InlineResponse200.
        :type: int
        """

        self._negative_balance_days_lic = negative_balance_days_lic

    @property
    def last_month_debt_sum(self):
        """
        Gets the last_month_debt_sum of this InlineResponse200.
        

        :return: The last_month_debt_sum of this InlineResponse200.
        :rtype: float
        """
        return self._last_month_debt_sum

    @last_month_debt_sum.setter
    def last_month_debt_sum(self, last_month_debt_sum):
        """
        Sets the last_month_debt_sum of this InlineResponse200.
        

        :param last_month_debt_sum: The last_month_debt_sum of this InlineResponse200.
        :type: float
        """

        self._last_month_debt_sum = last_month_debt_sum

    @property
    def last_month_debt_sum2(self):
        """
        Gets the last_month_debt_sum2 of this InlineResponse200.
        

        :return: The last_month_debt_sum2 of this InlineResponse200.
        :rtype: float
        """
        return self._last_month_debt_sum2

    @last_month_debt_sum2.setter
    def last_month_debt_sum2(self, last_month_debt_sum2):
        """
        Sets the last_month_debt_sum2 of this InlineResponse200.
        

        :param last_month_debt_sum2: The last_month_debt_sum2 of this InlineResponse200.
        :type: float
        """

        self._last_month_debt_sum2 = last_month_debt_sum2

    @property
    def block_date(self):
        """
        Gets the block_date of this InlineResponse200.
        Дата блокировки аккаунта

        :return: The block_date of this InlineResponse200.
        :rtype: str
        """
        return self._block_date

    @block_date.setter
    def block_date(self, block_date):
        """
        Sets the block_date of this InlineResponse200.
        Дата блокировки аккаунта

        :param block_date: The block_date of this InlineResponse200.
        :type: str
        """

        self._block_date = block_date

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
