# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse2001(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, id=None, description=None, billing_group_id=None, blocked=None, blocked_date=None, blocked_reason=None, credit_limit=None, plan_id=None, period_id=None, contract_type=None, client_id=None, client_login=None, contract_id=None, name_rus=None, name_eng=None, email=None, stat_sites=None, stat_size_mb=None, stat_emails=None, stat_mysqls=None, stat_tech=None, stat_nicd=None, stat_access_dynamic=None, stat_access_static=None, stat_access_traffic=None, stat_paid_total=None, stat_vds_size=None, plan_name=None, period_months=None, period_price=None, expires=None, external_currency_spelled_prefix=None, external_currency_spelled_suffix=None):
        """
        InlineResponse2001 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'id': 'int',
            'description': 'str',
            'billing_group_id': 'int',
            'blocked': 'str',
            'blocked_date': 'str',
            'blocked_reason': 'str',
            'credit_limit': 'float',
            'plan_id': 'int',
            'period_id': 'int',
            'contract_type': 'int',
            'client_id': 'int',
            'client_login': 'str',
            'contract_id': 'str',
            'name_rus': 'str',
            'name_eng': 'str',
            'email': 'str',
            'stat_sites': 'int',
            'stat_size_mb': 'int',
            'stat_emails': 'int',
            'stat_mysqls': 'int',
            'stat_tech': 'int',
            'stat_nicd': 'int',
            'stat_access_dynamic': 'int',
            'stat_access_static': 'int',
            'stat_access_traffic': 'int',
            'stat_paid_total': 'int',
            'stat_vds_size': 'int',
            'plan_name': 'str',
            'period_months': 'int',
            'period_price': 'float',
            'expires': 'str',
            'external_currency_spelled_prefix': 'str',
            'external_currency_spelled_suffix': 'str'
        }

        self.attribute_map = {
            'id': 'id',
            'description': 'description',
            'billing_group_id': 'billing_group_id',
            'blocked': 'blocked',
            'blocked_date': 'blocked_date',
            'blocked_reason': 'blocked_reason',
            'credit_limit': 'credit_limit',
            'plan_id': 'plan_id',
            'period_id': 'period_id',
            'contract_type': 'contract_type',
            'client_id': 'client_id',
            'client_login': 'client_login',
            'contract_id': 'contract_id',
            'name_rus': 'name_rus',
            'name_eng': 'name_eng',
            'email': 'email',
            'stat_sites': 'stat_sites',
            'stat_size_mb': 'stat_size_mb',
            'stat_emails': 'stat_emails',
            'stat_mysqls': 'stat_mysqls',
            'stat_tech': 'stat_tech',
            'stat_nicd': 'stat_nicd',
            'stat_access_dynamic': 'stat_access_dynamic',
            'stat_access_static': 'stat_access_static',
            'stat_access_traffic': 'stat_access_traffic',
            'stat_paid_total': 'stat_paid_total',
            'stat_vds_size': 'stat_vds_size',
            'plan_name': '__plan_name',
            'period_months': '__period_months',
            'period_price': '__period_price',
            'expires': '__expires',
            'external_currency_spelled_prefix': 'external_currency_spelled_prefix',
            'external_currency_spelled_suffix': 'external_currency_spelled_suffix'
        }

        self._id = id
        self._description = description
        self._billing_group_id = billing_group_id
        self._blocked = blocked
        self._blocked_date = blocked_date
        self._blocked_reason = blocked_reason
        self._credit_limit = credit_limit
        self._plan_id = plan_id
        self._period_id = period_id
        self._contract_type = contract_type
        self._client_id = client_id
        self._client_login = client_login
        self._contract_id = contract_id
        self._name_rus = name_rus
        self._name_eng = name_eng
        self._email = email
        self._stat_sites = stat_sites
        self._stat_size_mb = stat_size_mb
        self._stat_emails = stat_emails
        self._stat_mysqls = stat_mysqls
        self._stat_tech = stat_tech
        self._stat_nicd = stat_nicd
        self._stat_access_dynamic = stat_access_dynamic
        self._stat_access_static = stat_access_static
        self._stat_access_traffic = stat_access_traffic
        self._stat_paid_total = stat_paid_total
        self._stat_vds_size = stat_vds_size
        self._plan_name = plan_name
        self._period_months = period_months
        self._period_price = period_price
        self._expires = expires
        self._external_currency_spelled_prefix = external_currency_spelled_prefix
        self._external_currency_spelled_suffix = external_currency_spelled_suffix

    @property
    def id(self):
        """
        Gets the id of this InlineResponse2001.
        Идентификатор аккаунта

        :return: The id of this InlineResponse2001.
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """
        Sets the id of this InlineResponse2001.
        Идентификатор аккаунта

        :param id: The id of this InlineResponse2001.
        :type: int
        """

        self._id = id

    @property
    def description(self):
        """
        Gets the description of this InlineResponse2001.
        Описание аккаунта

        :return: The description of this InlineResponse2001.
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """
        Sets the description of this InlineResponse2001.
        Описание аккаунта

        :param description: The description of this InlineResponse2001.
        :type: str
        """

        self._description = description

    @property
    def billing_group_id(self):
        """
        Gets the billing_group_id of this InlineResponse2001.
        Идентификатор тарифной группы

        :return: The billing_group_id of this InlineResponse2001.
        :rtype: int
        """
        return self._billing_group_id

    @billing_group_id.setter
    def billing_group_id(self, billing_group_id):
        """
        Sets the billing_group_id of this InlineResponse2001.
        Идентификатор тарифной группы

        :param billing_group_id: The billing_group_id of this InlineResponse2001.
        :type: int
        """

        self._billing_group_id = billing_group_id

    @property
    def blocked(self):
        """
        Gets the blocked of this InlineResponse2001.
        Аккаунт заблокирован, если true

        :return: The blocked of this InlineResponse2001.
        :rtype: str
        """
        return self._blocked

    @blocked.setter
    def blocked(self, blocked):
        """
        Sets the blocked of this InlineResponse2001.
        Аккаунт заблокирован, если true

        :param blocked: The blocked of this InlineResponse2001.
        :type: str
        """

        self._blocked = blocked

    @property
    def blocked_date(self):
        """
        Gets the blocked_date of this InlineResponse2001.
        Дата блокировки

        :return: The blocked_date of this InlineResponse2001.
        :rtype: str
        """
        return self._blocked_date

    @blocked_date.setter
    def blocked_date(self, blocked_date):
        """
        Sets the blocked_date of this InlineResponse2001.
        Дата блокировки

        :param blocked_date: The blocked_date of this InlineResponse2001.
        :type: str
        """

        self._blocked_date = blocked_date

    @property
    def blocked_reason(self):
        """
        Gets the blocked_reason of this InlineResponse2001.
        Причина блокировки

        :return: The blocked_reason of this InlineResponse2001.
        :rtype: str
        """
        return self._blocked_reason

    @blocked_reason.setter
    def blocked_reason(self, blocked_reason):
        """
        Sets the blocked_reason of this InlineResponse2001.
        Причина блокировки

        :param blocked_reason: The blocked_reason of this InlineResponse2001.
        :type: str
        """

        self._blocked_reason = blocked_reason

    @property
    def credit_limit(self):
        """
        Gets the credit_limit of this InlineResponse2001.
        Ограничение суммы на работу в аванс

        :return: The credit_limit of this InlineResponse2001.
        :rtype: float
        """
        return self._credit_limit

    @credit_limit.setter
    def credit_limit(self, credit_limit):
        """
        Sets the credit_limit of this InlineResponse2001.
        Ограничение суммы на работу в аванс

        :param credit_limit: The credit_limit of this InlineResponse2001.
        :type: float
        """

        self._credit_limit = credit_limit

    @property
    def plan_id(self):
        """
        Gets the plan_id of this InlineResponse2001.
        Идентификатор тарифа

        :return: The plan_id of this InlineResponse2001.
        :rtype: int
        """
        return self._plan_id

    @plan_id.setter
    def plan_id(self, plan_id):
        """
        Sets the plan_id of this InlineResponse2001.
        Идентификатор тарифа

        :param plan_id: The plan_id of this InlineResponse2001.
        :type: int
        """

        self._plan_id = plan_id

    @property
    def period_id(self):
        """
        Gets the period_id of this InlineResponse2001.
        Идентификатор тарифа (периода)

        :return: The period_id of this InlineResponse2001.
        :rtype: int
        """
        return self._period_id

    @period_id.setter
    def period_id(self, period_id):
        """
        Sets the period_id of this InlineResponse2001.
        Идентификатор тарифа (периода)

        :param period_id: The period_id of this InlineResponse2001.
        :type: int
        """

        self._period_id = period_id

    @property
    def contract_type(self):
        """
        Gets the contract_type of this InlineResponse2001.
        Тип договора

        :return: The contract_type of this InlineResponse2001.
        :rtype: int
        """
        return self._contract_type

    @contract_type.setter
    def contract_type(self, contract_type):
        """
        Sets the contract_type of this InlineResponse2001.
        Тип договора

        :param contract_type: The contract_type of this InlineResponse2001.
        :type: int
        """

        self._contract_type = contract_type

    @property
    def client_id(self):
        """
        Gets the client_id of this InlineResponse2001.
        

        :return: The client_id of this InlineResponse2001.
        :rtype: int
        """
        return self._client_id

    @client_id.setter
    def client_id(self, client_id):
        """
        Sets the client_id of this InlineResponse2001.
        

        :param client_id: The client_id of this InlineResponse2001.
        :type: int
        """

        self._client_id = client_id

    @property
    def client_login(self):
        """
        Gets the client_login of this InlineResponse2001.
        Логин клиента

        :return: The client_login of this InlineResponse2001.
        :rtype: str
        """
        return self._client_login

    @client_login.setter
    def client_login(self, client_login):
        """
        Sets the client_login of this InlineResponse2001.
        Логин клиента

        :param client_login: The client_login of this InlineResponse2001.
        :type: str
        """

        self._client_login = client_login

    @property
    def contract_id(self):
        """
        Gets the contract_id of this InlineResponse2001.
        Номер договора

        :return: The contract_id of this InlineResponse2001.
        :rtype: str
        """
        return self._contract_id

    @contract_id.setter
    def contract_id(self, contract_id):
        """
        Sets the contract_id of this InlineResponse2001.
        Номер договора

        :param contract_id: The contract_id of this InlineResponse2001.
        :type: str
        """

        self._contract_id = contract_id

    @property
    def name_rus(self):
        """
        Gets the name_rus of this InlineResponse2001.
        Имя клиента на русском

        :return: The name_rus of this InlineResponse2001.
        :rtype: str
        """
        return self._name_rus

    @name_rus.setter
    def name_rus(self, name_rus):
        """
        Sets the name_rus of this InlineResponse2001.
        Имя клиента на русском

        :param name_rus: The name_rus of this InlineResponse2001.
        :type: str
        """

        self._name_rus = name_rus

    @property
    def name_eng(self):
        """
        Gets the name_eng of this InlineResponse2001.
        Имя клиента на английском

        :return: The name_eng of this InlineResponse2001.
        :rtype: str
        """
        return self._name_eng

    @name_eng.setter
    def name_eng(self, name_eng):
        """
        Sets the name_eng of this InlineResponse2001.
        Имя клиента на английском

        :param name_eng: The name_eng of this InlineResponse2001.
        :type: str
        """

        self._name_eng = name_eng

    @property
    def email(self):
        """
        Gets the email of this InlineResponse2001.
        E-mail клиент

        :return: The email of this InlineResponse2001.
        :rtype: str
        """
        return self._email

    @email.setter
    def email(self, email):
        """
        Sets the email of this InlineResponse2001.
        E-mail клиент

        :param email: The email of this InlineResponse2001.
        :type: str
        """

        self._email = email

    @property
    def stat_sites(self):
        """
        Gets the stat_sites of this InlineResponse2001.
        Количество созданных сайтов

        :return: The stat_sites of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_sites

    @stat_sites.setter
    def stat_sites(self, stat_sites):
        """
        Sets the stat_sites of this InlineResponse2001.
        Количество созданных сайтов

        :param stat_sites: The stat_sites of this InlineResponse2001.
        :type: int
        """

        self._stat_sites = stat_sites

    @property
    def stat_size_mb(self):
        """
        Gets the stat_size_mb of this InlineResponse2001.
        Используемое дисковое пространство

        :return: The stat_size_mb of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_size_mb

    @stat_size_mb.setter
    def stat_size_mb(self, stat_size_mb):
        """
        Sets the stat_size_mb of this InlineResponse2001.
        Используемое дисковое пространство

        :param stat_size_mb: The stat_size_mb of this InlineResponse2001.
        :type: int
        """

        self._stat_size_mb = stat_size_mb

    @property
    def stat_emails(self):
        """
        Gets the stat_emails of this InlineResponse2001.
        Количество созданных почтовых ящиков

        :return: The stat_emails of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_emails

    @stat_emails.setter
    def stat_emails(self, stat_emails):
        """
        Sets the stat_emails of this InlineResponse2001.
        Количество созданных почтовых ящиков

        :param stat_emails: The stat_emails of this InlineResponse2001.
        :type: int
        """

        self._stat_emails = stat_emails

    @property
    def stat_mysqls(self):
        """
        Gets the stat_mysqls of this InlineResponse2001.
        Количество баз данных MySQL

        :return: The stat_mysqls of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_mysqls

    @stat_mysqls.setter
    def stat_mysqls(self, stat_mysqls):
        """
        Sets the stat_mysqls of this InlineResponse2001.
        Количество баз данных MySQL

        :param stat_mysqls: The stat_mysqls of this InlineResponse2001.
        :type: int
        """

        self._stat_mysqls = stat_mysqls

    @property
    def stat_tech(self):
        """
        Gets the stat_tech of this InlineResponse2001.
        

        :return: The stat_tech of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_tech

    @stat_tech.setter
    def stat_tech(self, stat_tech):
        """
        Sets the stat_tech of this InlineResponse2001.
        

        :param stat_tech: The stat_tech of this InlineResponse2001.
        :type: int
        """

        self._stat_tech = stat_tech

    @property
    def stat_nicd(self):
        """
        Gets the stat_nicd of this InlineResponse2001.
        

        :return: The stat_nicd of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_nicd

    @stat_nicd.setter
    def stat_nicd(self, stat_nicd):
        """
        Sets the stat_nicd of this InlineResponse2001.
        

        :param stat_nicd: The stat_nicd of this InlineResponse2001.
        :type: int
        """

        self._stat_nicd = stat_nicd

    @property
    def stat_access_dynamic(self):
        """
        Gets the stat_access_dynamic of this InlineResponse2001.
        

        :return: The stat_access_dynamic of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_access_dynamic

    @stat_access_dynamic.setter
    def stat_access_dynamic(self, stat_access_dynamic):
        """
        Sets the stat_access_dynamic of this InlineResponse2001.
        

        :param stat_access_dynamic: The stat_access_dynamic of this InlineResponse2001.
        :type: int
        """

        self._stat_access_dynamic = stat_access_dynamic

    @property
    def stat_access_static(self):
        """
        Gets the stat_access_static of this InlineResponse2001.
        

        :return: The stat_access_static of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_access_static

    @stat_access_static.setter
    def stat_access_static(self, stat_access_static):
        """
        Sets the stat_access_static of this InlineResponse2001.
        

        :param stat_access_static: The stat_access_static of this InlineResponse2001.
        :type: int
        """

        self._stat_access_static = stat_access_static

    @property
    def stat_access_traffic(self):
        """
        Gets the stat_access_traffic of this InlineResponse2001.
        

        :return: The stat_access_traffic of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_access_traffic

    @stat_access_traffic.setter
    def stat_access_traffic(self, stat_access_traffic):
        """
        Sets the stat_access_traffic of this InlineResponse2001.
        

        :param stat_access_traffic: The stat_access_traffic of this InlineResponse2001.
        :type: int
        """

        self._stat_access_traffic = stat_access_traffic

    @property
    def stat_paid_total(self):
        """
        Gets the stat_paid_total of this InlineResponse2001.
        

        :return: The stat_paid_total of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_paid_total

    @stat_paid_total.setter
    def stat_paid_total(self, stat_paid_total):
        """
        Sets the stat_paid_total of this InlineResponse2001.
        

        :param stat_paid_total: The stat_paid_total of this InlineResponse2001.
        :type: int
        """

        self._stat_paid_total = stat_paid_total

    @property
    def stat_vds_size(self):
        """
        Gets the stat_vds_size of this InlineResponse2001.
        Размер дисков VDS

        :return: The stat_vds_size of this InlineResponse2001.
        :rtype: int
        """
        return self._stat_vds_size

    @stat_vds_size.setter
    def stat_vds_size(self, stat_vds_size):
        """
        Sets the stat_vds_size of this InlineResponse2001.
        Размер дисков VDS

        :param stat_vds_size: The stat_vds_size of this InlineResponse2001.
        :type: int
        """

        self._stat_vds_size = stat_vds_size

    @property
    def plan_name(self):
        """
        Gets the plan_name of this InlineResponse2001.
        Название тарифного плана

        :return: The plan_name of this InlineResponse2001.
        :rtype: str
        """
        return self._plan_name

    @plan_name.setter
    def plan_name(self, plan_name):
        """
        Sets the plan_name of this InlineResponse2001.
        Название тарифного плана

        :param plan_name: The plan_name of this InlineResponse2001.
        :type: str
        """

        self._plan_name = plan_name

    @property
    def period_months(self):
        """
        Gets the period_months of this InlineResponse2001.
        Количество месяцев в оплаченном периоде

        :return: The period_months of this InlineResponse2001.
        :rtype: int
        """
        return self._period_months

    @period_months.setter
    def period_months(self, period_months):
        """
        Sets the period_months of this InlineResponse2001.
        Количество месяцев в оплаченном периоде

        :param period_months: The period_months of this InlineResponse2001.
        :type: int
        """

        self._period_months = period_months

    @property
    def period_price(self):
        """
        Gets the period_price of this InlineResponse2001.
        Стоимость оплаченного периода

        :return: The period_price of this InlineResponse2001.
        :rtype: float
        """
        return self._period_price

    @period_price.setter
    def period_price(self, period_price):
        """
        Sets the period_price of this InlineResponse2001.
        Стоимость оплаченного периода

        :param period_price: The period_price of this InlineResponse2001.
        :type: float
        """

        self._period_price = period_price

    @property
    def expires(self):
        """
        Gets the expires of this InlineResponse2001.
        

        :return: The expires of this InlineResponse2001.
        :rtype: str
        """
        return self._expires

    @expires.setter
    def expires(self, expires):
        """
        Sets the expires of this InlineResponse2001.
        

        :param expires: The expires of this InlineResponse2001.
        :type: str
        """

        self._expires = expires

    @property
    def external_currency_spelled_prefix(self):
        """
        Gets the external_currency_spelled_prefix of this InlineResponse2001.
        Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')

        :return: The external_currency_spelled_prefix of this InlineResponse2001.
        :rtype: str
        """
        return self._external_currency_spelled_prefix

    @external_currency_spelled_prefix.setter
    def external_currency_spelled_prefix(self, external_currency_spelled_prefix):
        """
        Sets the external_currency_spelled_prefix of this InlineResponse2001.
        Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')

        :param external_currency_spelled_prefix: The external_currency_spelled_prefix of this InlineResponse2001.
        :type: str
        """

        self._external_currency_spelled_prefix = external_currency_spelled_prefix

    @property
    def external_currency_spelled_suffix(self):
        """
        Gets the external_currency_spelled_suffix of this InlineResponse2001.
        Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'

        :return: The external_currency_spelled_suffix of this InlineResponse2001.
        :rtype: str
        """
        return self._external_currency_spelled_suffix

    @external_currency_spelled_suffix.setter
    def external_currency_spelled_suffix(self, external_currency_spelled_suffix):
        """
        Sets the external_currency_spelled_suffix of this InlineResponse2001.
        Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'

        :param external_currency_spelled_suffix: The external_currency_spelled_suffix of this InlineResponse2001.
        :type: str
        """

        self._external_currency_spelled_suffix = external_currency_spelled_suffix

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
