# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse20012(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, id=None, deleted=None, online=None, stopped=None, pwd=None, template=None, type_full=None, physical_mac=None, type=None):
        """
        InlineResponse20012 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'id': 'int',
            'deleted': 'bool',
            'online': 'bool',
            'stopped': 'bool',
            'pwd': 'str',
            'template': 'str',
            'type_full': 'str',
            'physical_mac': 'str',
            'type': 'str'
        }

        self.attribute_map = {
            'id': 'id',
            'deleted': 'deleted',
            'online': 'online',
            'stopped': 'stopped',
            'pwd': 'pwd',
            'template': 'template',
            'type_full': 'type_full',
            'physical_mac': 'physical_mac',
            'type': 'type'
        }

        self._id = id
        self._deleted = deleted
        self._online = online
        self._stopped = stopped
        self._pwd = pwd
        self._template = template
        self._type_full = type_full
        self._physical_mac = physical_mac
        self._type = type

    @property
    def id(self):
        """
        Gets the id of this InlineResponse20012.
        идентификатор VDS

        :return: The id of this InlineResponse20012.
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """
        Sets the id of this InlineResponse20012.
        идентификатор VDS

        :param id: The id of this InlineResponse20012.
        :type: int
        """

        self._id = id

    @property
    def deleted(self):
        """
        Gets the deleted of this InlineResponse20012.
        VDS удалён если true

        :return: The deleted of this InlineResponse20012.
        :rtype: bool
        """
        return self._deleted

    @deleted.setter
    def deleted(self, deleted):
        """
        Sets the deleted of this InlineResponse20012.
        VDS удалён если true

        :param deleted: The deleted of this InlineResponse20012.
        :type: bool
        """

        self._deleted = deleted

    @property
    def online(self):
        """
        Gets the online of this InlineResponse20012.
        VDS работает нормально если true

        :return: The online of this InlineResponse20012.
        :rtype: bool
        """
        return self._online

    @online.setter
    def online(self, online):
        """
        Sets the online of this InlineResponse20012.
        VDS работает нормально если true

        :param online: The online of this InlineResponse20012.
        :type: bool
        """

        self._online = online

    @property
    def stopped(self):
        """
        Gets the stopped of this InlineResponse20012.
        VDS остановлен если true

        :return: The stopped of this InlineResponse20012.
        :rtype: bool
        """
        return self._stopped

    @stopped.setter
    def stopped(self, stopped):
        """
        Sets the stopped of this InlineResponse20012.
        VDS остановлен если true

        :param stopped: The stopped of this InlineResponse20012.
        :type: bool
        """

        self._stopped = stopped

    @property
    def pwd(self):
        """
        Gets the pwd of this InlineResponse20012.
        изначальный пароль администратора или root

        :return: The pwd of this InlineResponse20012.
        :rtype: str
        """
        return self._pwd

    @pwd.setter
    def pwd(self, pwd):
        """
        Sets the pwd of this InlineResponse20012.
        изначальный пароль администратора или root

        :param pwd: The pwd of this InlineResponse20012.
        :type: str
        """

        self._pwd = pwd

    @property
    def template(self):
        """
        Gets the template of this InlineResponse20012.
        шаблон, на основе которого был создан VDS

        :return: The template of this InlineResponse20012.
        :rtype: str
        """
        return self._template

    @template.setter
    def template(self, template):
        """
        Sets the template of this InlineResponse20012.
        шаблон, на основе которого был создан VDS

        :param template: The template of this InlineResponse20012.
        :type: str
        """

        self._template = template

    @property
    def type_full(self):
        """
        Gets the type_full of this InlineResponse20012.
        полное описание типа VDS

        :return: The type_full of this InlineResponse20012.
        :rtype: str
        """
        return self._type_full

    @type_full.setter
    def type_full(self, type_full):
        """
        Sets the type_full of this InlineResponse20012.
        полное описание типа VDS

        :param type_full: The type_full of this InlineResponse20012.
        :type: str
        """

        self._type_full = type_full

    @property
    def physical_mac(self):
        """
        Gets the physical_mac of this InlineResponse20012.
        MAC-адрес VDS

        :return: The physical_mac of this InlineResponse20012.
        :rtype: str
        """
        return self._physical_mac

    @physical_mac.setter
    def physical_mac(self, physical_mac):
        """
        Sets the physical_mac of this InlineResponse20012.
        MAC-адрес VDS

        :param physical_mac: The physical_mac of this InlineResponse20012.
        :type: str
        """

        self._physical_mac = physical_mac

    @property
    def type(self):
        """
        Gets the type of this InlineResponse20012.
        тип VDS

        :return: The type of this InlineResponse20012.
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """
        Sets the type of this InlineResponse20012.
        тип VDS

        :param type: The type of this InlineResponse20012.
        :type: str
        """

        self._type = type

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
