# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse2003(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, id=None, iis_id=None, online=None, full_domain_name=None, full_domain_name_local=None, addr1=None, zone=None):
        """
        InlineResponse2003 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'id': 'int',
            'iis_id': 'int',
            'online': 'bool',
            'full_domain_name': 'str',
            'full_domain_name_local': 'str',
            'addr1': 'str',
            'zone': 'str'
        }

        self.attribute_map = {
            'id': 'id',
            'iis_id': 'iis_id',
            'online': 'online',
            'full_domain_name': 'full_domain_name',
            'full_domain_name_local': 'full_domain_name_local',
            'addr1': 'addr1',
            'zone': 'zone'
        }

        self._id = id
        self._iis_id = iis_id
        self._online = online
        self._full_domain_name = full_domain_name
        self._full_domain_name_local = full_domain_name_local
        self._addr1 = addr1
        self._zone = zone

    @property
    def id(self):
        """
        Gets the id of this InlineResponse2003.
        идентификатор домена

        :return: The id of this InlineResponse2003.
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """
        Sets the id of this InlineResponse2003.
        идентификатор домена

        :param id: The id of this InlineResponse2003.
        :type: int
        """

        self._id = id

    @property
    def iis_id(self):
        """
        Gets the iis_id of this InlineResponse2003.
        идентификатор связанной записи IIS

        :return: The iis_id of this InlineResponse2003.
        :rtype: int
        """
        return self._iis_id

    @iis_id.setter
    def iis_id(self, iis_id):
        """
        Sets the iis_id of this InlineResponse2003.
        идентификатор связанной записи IIS

        :param iis_id: The iis_id of this InlineResponse2003.
        :type: int
        """

        self._iis_id = iis_id

    @property
    def online(self):
        """
        Gets the online of this InlineResponse2003.
        домен работает, если true

        :return: The online of this InlineResponse2003.
        :rtype: bool
        """
        return self._online

    @online.setter
    def online(self, online):
        """
        Sets the online of this InlineResponse2003.
        домен работает, если true

        :param online: The online of this InlineResponse2003.
        :type: bool
        """

        self._online = online

    @property
    def full_domain_name(self):
        """
        Gets the full_domain_name of this InlineResponse2003.
        полное имя домена

        :return: The full_domain_name of this InlineResponse2003.
        :rtype: str
        """
        return self._full_domain_name

    @full_domain_name.setter
    def full_domain_name(self, full_domain_name):
        """
        Sets the full_domain_name of this InlineResponse2003.
        полное имя домена

        :param full_domain_name: The full_domain_name of this InlineResponse2003.
        :type: str
        """

        self._full_domain_name = full_domain_name

    @property
    def full_domain_name_local(self):
        """
        Gets the full_domain_name_local of this InlineResponse2003.
        

        :return: The full_domain_name_local of this InlineResponse2003.
        :rtype: str
        """
        return self._full_domain_name_local

    @full_domain_name_local.setter
    def full_domain_name_local(self, full_domain_name_local):
        """
        Sets the full_domain_name_local of this InlineResponse2003.
        

        :param full_domain_name_local: The full_domain_name_local of this InlineResponse2003.
        :type: str
        """

        self._full_domain_name_local = full_domain_name_local

    @property
    def addr1(self):
        """
        Gets the addr1 of this InlineResponse2003.
        

        :return: The addr1 of this InlineResponse2003.
        :rtype: str
        """
        return self._addr1

    @addr1.setter
    def addr1(self, addr1):
        """
        Sets the addr1 of this InlineResponse2003.
        

        :param addr1: The addr1 of this InlineResponse2003.
        :type: str
        """

        self._addr1 = addr1

    @property
    def zone(self):
        """
        Gets the zone of this InlineResponse2003.
        зона домена

        :return: The zone of this InlineResponse2003.
        :rtype: str
        """
        return self._zone

    @zone.setter
    def zone(self, zone):
        """
        Sets the zone of this InlineResponse2003.
        зона домена

        :param zone: The zone of this InlineResponse2003.
        :type: str
        """

        self._zone = zone

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
