# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse2004(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, date_updated=None, record_created=None, subject_contract=None, end_date=None, payed_till=None, object_state=None, domain_addr=None, nservers=None, expires_countdown=None):
        """
        InlineResponse2004 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'date_updated': 'str',
            'record_created': 'str',
            'subject_contract': 'str',
            'end_date': 'str',
            'payed_till': 'str',
            'object_state': 'str',
            'domain_addr': 'str',
            'nservers': 'str',
            'expires_countdown': 'int'
        }

        self.attribute_map = {
            'date_updated': 'date_updated',
            'record_created': 'record_created',
            'subject_contract': 'subject_contract',
            'end_date': 'end_date',
            'payed_till': 'payed_till',
            'object_state': 'object_state',
            'domain_addr': 'domain_addr',
            'nservers': 'nservers',
            'expires_countdown': 'expires_countdown'
        }

        self._date_updated = date_updated
        self._record_created = record_created
        self._subject_contract = subject_contract
        self._end_date = end_date
        self._payed_till = payed_till
        self._object_state = object_state
        self._domain_addr = domain_addr
        self._nservers = nservers
        self._expires_countdown = expires_countdown

    @property
    def date_updated(self):
        """
        Gets the date_updated of this InlineResponse2004.
        Дата последнего обновления домена

        :return: The date_updated of this InlineResponse2004.
        :rtype: str
        """
        return self._date_updated

    @date_updated.setter
    def date_updated(self, date_updated):
        """
        Sets the date_updated of this InlineResponse2004.
        Дата последнего обновления домена

        :param date_updated: The date_updated of this InlineResponse2004.
        :type: str
        """

        self._date_updated = date_updated

    @property
    def record_created(self):
        """
        Gets the record_created of this InlineResponse2004.
        Дата создания записи

        :return: The record_created of this InlineResponse2004.
        :rtype: str
        """
        return self._record_created

    @record_created.setter
    def record_created(self, record_created):
        """
        Sets the record_created of this InlineResponse2004.
        Дата создания записи

        :param record_created: The record_created of this InlineResponse2004.
        :type: str
        """

        self._record_created = record_created

    @property
    def subject_contract(self):
        """
        Gets the subject_contract of this InlineResponse2004.
        

        :return: The subject_contract of this InlineResponse2004.
        :rtype: str
        """
        return self._subject_contract

    @subject_contract.setter
    def subject_contract(self, subject_contract):
        """
        Sets the subject_contract of this InlineResponse2004.
        

        :param subject_contract: The subject_contract of this InlineResponse2004.
        :type: str
        """

        self._subject_contract = subject_contract

    @property
    def end_date(self):
        """
        Gets the end_date of this InlineResponse2004.
        

        :return: The end_date of this InlineResponse2004.
        :rtype: str
        """
        return self._end_date

    @end_date.setter
    def end_date(self, end_date):
        """
        Sets the end_date of this InlineResponse2004.
        

        :param end_date: The end_date of this InlineResponse2004.
        :type: str
        """

        self._end_date = end_date

    @property
    def payed_till(self):
        """
        Gets the payed_till of this InlineResponse2004.
        Дата, до которой оплачен домен

        :return: The payed_till of this InlineResponse2004.
        :rtype: str
        """
        return self._payed_till

    @payed_till.setter
    def payed_till(self, payed_till):
        """
        Sets the payed_till of this InlineResponse2004.
        Дата, до которой оплачен домен

        :param payed_till: The payed_till of this InlineResponse2004.
        :type: str
        """

        self._payed_till = payed_till

    @property
    def object_state(self):
        """
        Gets the object_state of this InlineResponse2004.
        

        :return: The object_state of this InlineResponse2004.
        :rtype: str
        """
        return self._object_state

    @object_state.setter
    def object_state(self, object_state):
        """
        Sets the object_state of this InlineResponse2004.
        

        :param object_state: The object_state of this InlineResponse2004.
        :type: str
        """

        self._object_state = object_state

    @property
    def domain_addr(self):
        """
        Gets the domain_addr of this InlineResponse2004.
        Имя домена

        :return: The domain_addr of this InlineResponse2004.
        :rtype: str
        """
        return self._domain_addr

    @domain_addr.setter
    def domain_addr(self, domain_addr):
        """
        Sets the domain_addr of this InlineResponse2004.
        Имя домена

        :param domain_addr: The domain_addr of this InlineResponse2004.
        :type: str
        """

        self._domain_addr = domain_addr

    @property
    def nservers(self):
        """
        Gets the nservers of this InlineResponse2004.
        Сервера имён домена

        :return: The nservers of this InlineResponse2004.
        :rtype: str
        """
        return self._nservers

    @nservers.setter
    def nservers(self, nservers):
        """
        Sets the nservers of this InlineResponse2004.
        Сервера имён домена

        :param nservers: The nservers of this InlineResponse2004.
        :type: str
        """

        self._nservers = nservers

    @property
    def expires_countdown(self):
        """
        Gets the expires_countdown of this InlineResponse2004.
        Количество дней до окончания срока действия домена

        :return: The expires_countdown of this InlineResponse2004.
        :rtype: int
        """
        return self._expires_countdown

    @expires_countdown.setter
    def expires_countdown(self, expires_countdown):
        """
        Sets the expires_countdown of this InlineResponse2004.
        Количество дней до окончания срока действия домена

        :param expires_countdown: The expires_countdown of this InlineResponse2004.
        :type: int
        """

        self._expires_countdown = expires_countdown

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
