# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse2006(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, id=None, status=None, online=None, mail=None, mercury_user=None, mercury_pwd=None, size_amount=None, size_file_count=None, archived_count=None, server_pop3=None, server_smtp=None, server_webmail=None, server_imap=None, wm1=None, wm2=None):
        """
        InlineResponse2006 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'id': 'int',
            'status': 'int',
            'online': 'bool',
            'mail': 'str',
            'mercury_user': 'str',
            'mercury_pwd': 'str',
            'size_amount': 'int',
            'size_file_count': 'int',
            'archived_count': 'int',
            'server_pop3': 'str',
            'server_smtp': 'str',
            'server_webmail': 'str',
            'server_imap': 'str',
            'wm1': 'str',
            'wm2': 'str'
        }

        self.attribute_map = {
            'id': 'id',
            'status': 'status',
            'online': 'online',
            'mail': 'mail',
            'mercury_user': 'mercury_user',
            'mercury_pwd': 'mercury_pwd',
            'size_amount': 'size_amount',
            'size_file_count': 'size_file_count',
            'archived_count': 'archived_count',
            'server_pop3': 'server_pop3',
            'server_smtp': 'server_smtp',
            'server_webmail': 'server_webmail',
            'server_imap': 'server_imap',
            'wm1': 'wm1',
            'wm2': 'wm2'
        }

        self._id = id
        self._status = status
        self._online = online
        self._mail = mail
        self._mercury_user = mercury_user
        self._mercury_pwd = mercury_pwd
        self._size_amount = size_amount
        self._size_file_count = size_file_count
        self._archived_count = archived_count
        self._server_pop3 = server_pop3
        self._server_smtp = server_smtp
        self._server_webmail = server_webmail
        self._server_imap = server_imap
        self._wm1 = wm1
        self._wm2 = wm2

    @property
    def id(self):
        """
        Gets the id of this InlineResponse2006.
        идентификатор ящика

        :return: The id of this InlineResponse2006.
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """
        Sets the id of this InlineResponse2006.
        идентификатор ящика

        :param id: The id of this InlineResponse2006.
        :type: int
        """

        self._id = id

    @property
    def status(self):
        """
        Gets the status of this InlineResponse2006.
        

        :return: The status of this InlineResponse2006.
        :rtype: int
        """
        return self._status

    @status.setter
    def status(self, status):
        """
        Sets the status of this InlineResponse2006.
        

        :param status: The status of this InlineResponse2006.
        :type: int
        """

        self._status = status

    @property
    def online(self):
        """
        Gets the online of this InlineResponse2006.
        ящик работает, если true

        :return: The online of this InlineResponse2006.
        :rtype: bool
        """
        return self._online

    @online.setter
    def online(self, online):
        """
        Sets the online of this InlineResponse2006.
        ящик работает, если true

        :param online: The online of this InlineResponse2006.
        :type: bool
        """

        self._online = online

    @property
    def mail(self):
        """
        Gets the mail of this InlineResponse2006.
        полный адрес ящика

        :return: The mail of this InlineResponse2006.
        :rtype: str
        """
        return self._mail

    @mail.setter
    def mail(self, mail):
        """
        Sets the mail of this InlineResponse2006.
        полный адрес ящика

        :param mail: The mail of this InlineResponse2006.
        :type: str
        """

        self._mail = mail

    @property
    def mercury_user(self):
        """
        Gets the mercury_user of this InlineResponse2006.
        имя пользователя для входа в Mercury

        :return: The mercury_user of this InlineResponse2006.
        :rtype: str
        """
        return self._mercury_user

    @mercury_user.setter
    def mercury_user(self, mercury_user):
        """
        Sets the mercury_user of this InlineResponse2006.
        имя пользователя для входа в Mercury

        :param mercury_user: The mercury_user of this InlineResponse2006.
        :type: str
        """

        self._mercury_user = mercury_user

    @property
    def mercury_pwd(self):
        """
        Gets the mercury_pwd of this InlineResponse2006.
        пароль для входа в Mercury

        :return: The mercury_pwd of this InlineResponse2006.
        :rtype: str
        """
        return self._mercury_pwd

    @mercury_pwd.setter
    def mercury_pwd(self, mercury_pwd):
        """
        Sets the mercury_pwd of this InlineResponse2006.
        пароль для входа в Mercury

        :param mercury_pwd: The mercury_pwd of this InlineResponse2006.
        :type: str
        """

        self._mercury_pwd = mercury_pwd

    @property
    def size_amount(self):
        """
        Gets the size_amount of this InlineResponse2006.
        текущий размер ящика

        :return: The size_amount of this InlineResponse2006.
        :rtype: int
        """
        return self._size_amount

    @size_amount.setter
    def size_amount(self, size_amount):
        """
        Sets the size_amount of this InlineResponse2006.
        текущий размер ящика

        :param size_amount: The size_amount of this InlineResponse2006.
        :type: int
        """

        self._size_amount = size_amount

    @property
    def size_file_count(self):
        """
        Gets the size_file_count of this InlineResponse2006.
        количество файлов, занятых ящиком

        :return: The size_file_count of this InlineResponse2006.
        :rtype: int
        """
        return self._size_file_count

    @size_file_count.setter
    def size_file_count(self, size_file_count):
        """
        Sets the size_file_count of this InlineResponse2006.
        количество файлов, занятых ящиком

        :param size_file_count: The size_file_count of this InlineResponse2006.
        :type: int
        """

        self._size_file_count = size_file_count

    @property
    def archived_count(self):
        """
        Gets the archived_count of this InlineResponse2006.
        

        :return: The archived_count of this InlineResponse2006.
        :rtype: int
        """
        return self._archived_count

    @archived_count.setter
    def archived_count(self, archived_count):
        """
        Sets the archived_count of this InlineResponse2006.
        

        :param archived_count: The archived_count of this InlineResponse2006.
        :type: int
        """

        self._archived_count = archived_count

    @property
    def server_pop3(self):
        """
        Gets the server_pop3 of this InlineResponse2006.
        адрес сервера для доступа к ящику по POP3

        :return: The server_pop3 of this InlineResponse2006.
        :rtype: str
        """
        return self._server_pop3

    @server_pop3.setter
    def server_pop3(self, server_pop3):
        """
        Sets the server_pop3 of this InlineResponse2006.
        адрес сервера для доступа к ящику по POP3

        :param server_pop3: The server_pop3 of this InlineResponse2006.
        :type: str
        """

        self._server_pop3 = server_pop3

    @property
    def server_smtp(self):
        """
        Gets the server_smtp of this InlineResponse2006.
        адрес сервера для доступа к ящику по SMTP

        :return: The server_smtp of this InlineResponse2006.
        :rtype: str
        """
        return self._server_smtp

    @server_smtp.setter
    def server_smtp(self, server_smtp):
        """
        Sets the server_smtp of this InlineResponse2006.
        адрес сервера для доступа к ящику по SMTP

        :param server_smtp: The server_smtp of this InlineResponse2006.
        :type: str
        """

        self._server_smtp = server_smtp

    @property
    def server_webmail(self):
        """
        Gets the server_webmail of this InlineResponse2006.
        адрес сервера Webmail для входа в ящик через браузер

        :return: The server_webmail of this InlineResponse2006.
        :rtype: str
        """
        return self._server_webmail

    @server_webmail.setter
    def server_webmail(self, server_webmail):
        """
        Sets the server_webmail of this InlineResponse2006.
        адрес сервера Webmail для входа в ящик через браузер

        :param server_webmail: The server_webmail of this InlineResponse2006.
        :type: str
        """

        self._server_webmail = server_webmail

    @property
    def server_imap(self):
        """
        Gets the server_imap of this InlineResponse2006.
        адрес сервера для доступа к ящику по IMAP

        :return: The server_imap of this InlineResponse2006.
        :rtype: str
        """
        return self._server_imap

    @server_imap.setter
    def server_imap(self, server_imap):
        """
        Sets the server_imap of this InlineResponse2006.
        адрес сервера для доступа к ящику по IMAP

        :param server_imap: The server_imap of this InlineResponse2006.
        :type: str
        """

        self._server_imap = server_imap

    @property
    def wm1(self):
        """
        Gets the wm1 of this InlineResponse2006.
        

        :return: The wm1 of this InlineResponse2006.
        :rtype: str
        """
        return self._wm1

    @wm1.setter
    def wm1(self, wm1):
        """
        Sets the wm1 of this InlineResponse2006.
        

        :param wm1: The wm1 of this InlineResponse2006.
        :type: str
        """

        self._wm1 = wm1

    @property
    def wm2(self):
        """
        Gets the wm2 of this InlineResponse2006.
        

        :return: The wm2 of this InlineResponse2006.
        :rtype: str
        """
        return self._wm2

    @wm2.setter
    def wm2(self, wm2):
        """
        Sets the wm2 of this InlineResponse2006.
        

        :param wm2: The wm2 of this InlineResponse2006.
        :type: str
        """

        self._wm2 = wm2

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
