# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from pprint import pformat
from six import iteritems
import re


class InlineResponse2008(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, id=None, online=None, ftp_id=None, dns_id=None, size_amount=None, size_file_count=None, size_file_count_limit=None):
        """
        InlineResponse2008 - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'id': 'int',
            'online': 'bool',
            'ftp_id': 'int',
            'dns_id': 'int',
            'size_amount': 'int',
            'size_file_count': 'int',
            'size_file_count_limit': 'int'
        }

        self.attribute_map = {
            'id': 'id',
            'online': 'online',
            'ftp_id': 'ftp_id',
            'dns_id': 'dns_id',
            'size_amount': 'size_amount',
            'size_file_count': 'size_file_count',
            'size_file_count_limit': 'size_file_count_limit'
        }

        self._id = id
        self._online = online
        self._ftp_id = ftp_id
        self._dns_id = dns_id
        self._size_amount = size_amount
        self._size_file_count = size_file_count
        self._size_file_count_limit = size_file_count_limit

    @property
    def id(self):
        """
        Gets the id of this InlineResponse2008.
        идентификатор сайта

        :return: The id of this InlineResponse2008.
        :rtype: int
        """
        return self._id

    @id.setter
    def id(self, id):
        """
        Sets the id of this InlineResponse2008.
        идентификатор сайта

        :param id: The id of this InlineResponse2008.
        :type: int
        """

        self._id = id

    @property
    def online(self):
        """
        Gets the online of this InlineResponse2008.
        сайт работает нормально если true

        :return: The online of this InlineResponse2008.
        :rtype: bool
        """
        return self._online

    @online.setter
    def online(self, online):
        """
        Sets the online of this InlineResponse2008.
        сайт работает нормально если true

        :param online: The online of this InlineResponse2008.
        :type: bool
        """

        self._online = online

    @property
    def ftp_id(self):
        """
        Gets the ftp_id of this InlineResponse2008.
        идентификатор связанного аккаунта FTP

        :return: The ftp_id of this InlineResponse2008.
        :rtype: int
        """
        return self._ftp_id

    @ftp_id.setter
    def ftp_id(self, ftp_id):
        """
        Sets the ftp_id of this InlineResponse2008.
        идентификатор связанного аккаунта FTP

        :param ftp_id: The ftp_id of this InlineResponse2008.
        :type: int
        """

        self._ftp_id = ftp_id

    @property
    def dns_id(self):
        """
        Gets the dns_id of this InlineResponse2008.
        идентификатор связанной записи DNS

        :return: The dns_id of this InlineResponse2008.
        :rtype: int
        """
        return self._dns_id

    @dns_id.setter
    def dns_id(self, dns_id):
        """
        Sets the dns_id of this InlineResponse2008.
        идентификатор связанной записи DNS

        :param dns_id: The dns_id of this InlineResponse2008.
        :type: int
        """

        self._dns_id = dns_id

    @property
    def size_amount(self):
        """
        Gets the size_amount of this InlineResponse2008.
        размер занятого места

        :return: The size_amount of this InlineResponse2008.
        :rtype: int
        """
        return self._size_amount

    @size_amount.setter
    def size_amount(self, size_amount):
        """
        Sets the size_amount of this InlineResponse2008.
        размер занятого места

        :param size_amount: The size_amount of this InlineResponse2008.
        :type: int
        """

        self._size_amount = size_amount

    @property
    def size_file_count(self):
        """
        Gets the size_file_count of this InlineResponse2008.
        количество файлов

        :return: The size_file_count of this InlineResponse2008.
        :rtype: int
        """
        return self._size_file_count

    @size_file_count.setter
    def size_file_count(self, size_file_count):
        """
        Sets the size_file_count of this InlineResponse2008.
        количество файлов

        :param size_file_count: The size_file_count of this InlineResponse2008.
        :type: int
        """

        self._size_file_count = size_file_count

    @property
    def size_file_count_limit(self):
        """
        Gets the size_file_count_limit of this InlineResponse2008.
        ограничение на количество файлов

        :return: The size_file_count_limit of this InlineResponse2008.
        :rtype: int
        """
        return self._size_file_count_limit

    @size_file_count_limit.setter
    def size_file_count_limit(self, size_file_count_limit):
        """
        Sets the size_file_count_limit of this InlineResponse2008.
        ограничение на количество файлов

        :param size_file_count_limit: The size_file_count_limit of this InlineResponse2008.
        :type: int
        """

        self._size_file_count_limit = size_file_count_limit

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
