# coding: utf-8

"""
    1Gb API

     API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

    OpenAPI spec version: 2.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
"""

from __future__ import absolute_import

import os
import sys
import unittest

import swagger_client
from swagger_client.rest import ApiException
from swagger_client.apis.default_api import DefaultApi


class TestDefaultApi(unittest.TestCase):
    """ DefaultApi unit test stubs """

    def setUp(self):
        self.api = swagger_client.apis.default_api.DefaultApi()

    def tearDown(self):
        pass

    def test_balance_get(self):
        """
        Test case for balance_get

        Аккаунт: баланс
        """
        pass

    def test_balance_lic_get(self):
        """
        Test case for balance_lic_get

        Аккаунт: баланс аккаунта лицензий
        """
        pass

    def test_billing_debt_get(self):
        """
        Test case for billing_debt_get

        Информация по дебету аккаунта
        """
        pass

    def test_billing_info_get(self):
        """
        Test case for billing_info_get

        Информация об аккаунте
        """
        pass

    def test_billing_limits_get(self):
        """
        Test case for billing_limits_get

        Получить ограничения аккаунта
        """
        pass

    def test_dns_prolong_list_get(self):
        """
        Test case for dns_prolong_list_get

        Информация по продлению доменов
        """
        pass

    def test_email_add_get(self):
        """
        Test case for email_add_get

        Создание почтового ящика
        """
        pass

    def test_email_alias_delete_get(self):
        """
        Test case for email_alias_delete_get

        Удаление псевдонимов почтовых ящиков
        """
        pass

    def test_email_alias_list_get(self):
        """
        Test case for email_alias_list_get

        Получить список псевдонимов почтовых ящиков
        """
        pass

    def test_email_delete_get(self):
        """
        Test case for email_delete_get

        Удаление почтового ящика
        """
        pass

    def test_email_list_get(self):
        """
        Test case for email_list_get

        Получить список почтовых ящиков
        """
        pass

    def test_updates_last_get(self):
        """
        Test case for updates_last_get

        Идентификатор последнего уведомления в аудите
        """
        pass

    def test_updates_list_get(self):
        """
        Test case for updates_list_get

        Список записей аудита
        """
        pass

    def test_website_delete_get(self):
        """
        Test case for website_delete_get

        Удаление сайта
        """
        pass

    def test_website_list_get(self):
        """
        Test case for website_list_get

        Список сайтов аккаунта
        """
        pass


if __name__ == '__main__':
    unittest.main()
